# generator-gulp-angular ![Logo](generators/app/templates/src/assets/images/generator-gulp-angular-logo.png)

[![Unmaintained](https://img.shields.io/badge/generator-unmaintained-red.svg?style=flat-square)](https://github.com/Swiip/generator-gulp-angular/pull/1155)
[![Outdated](https://img.shields.io/badge/generator-outdated-red.svg?style=flat-square)](https://github.com/Swiip/generator-gulp-angular/pull/1155)

[![Build Status](https://img.shields.io/travis/Swiip/generator-gulp-angular/master.svg?style=flat-square)](http://travis-ci.org/Swiip/generator-gulp-angular)
[![Coverage Status](https://img.shields.io/codecov/c/github/Swiip/generator-gulp-angular.svg?style=flat-square)](http://codecov.io/github/Swiip/generator-gulp-angular?branch=master)
[![Dependencies](http://img.shields.io/david/Swiip/generator-gulp-angular.svg?style=flat-square)](https://david-dm.org/eleven-labs/generator-gulp-angular)
[![NPM Version](http://img.shields.io/npm/v/generator-gulp-angular.svg?style=flat-square)](https://www.npmjs.org/package/generator-gulp-angular)
[![Download Month](http://img.shields.io/npm/dm/generator-gulp-angular.svg?style=flat-square)](https://www.npmjs.org/package/generator-gulp-angular)

> Yeoman generator for AngularJS + Gulp.

> Lets you quickly set up a project with:
> * your favorite technologies
> * web best pratices.
> * guidelines powered by Google.

> Gulp provide fast workspace with quick feedback.

# **Unmaintained**, **Outdated** ? :pensive:
Yup, this generator works but is unmaintained and outdated [for various reasons](https://github.com/Swiip/generator-gulp-angular/pull/1155).

But don't panic **the most important features and more are present** in our next iteration called [FountainJS](http://fountainjs.io/).

<p align="center">
  <a href="http://fountainjs.io/">
    <img alt="FountainJS" src="http://fountainjs.io/assets/imgs/fountain.png" width="200">
  </a>
</p>

A tutorial is present in the [Yeoman codelab](http://yeoman.io/codelab/). :kissing_heart:

## Usage

More informations, options, parameters in the [usage documentation page](docs/usage.md)

### Install

##### Install required tools `yo`, `gulp` and `bower`:
```
npm install -g yo gulp bower
```

##### Install `generator-gulp-angular`:
```
npm install -g generator-gulp-angular
```


### Run

##### Create a new directory, and go into:
```
mkdir my-new-project && cd $_
```

##### Run `yo gulp-angular`, and select desired technologies:
```
yo gulp-angular
```

## Documentation

* [docs/README](docs/README.md)
* More informations about how to use your new project is available in the [docs/user-guide](docs/user-guide.md)
* If you want to know: [docs/how-it-works](docs/how-it-works.md).


## Features

![Logo](docs/assets/gulp.png)
![Logo](docs/assets/angular.png)
![Logo](docs/assets/bootstrap.png)
![Logo](docs/assets/materialdesign.png)
![Logo](docs/assets/foundation.png)
![Logo](docs/assets/bower.png)
![Logo](docs/assets/webpack.png)
![Logo](docs/assets/karma.png)
![Logo](docs/assets/istanbul.png)
![Logo](docs/assets/browsersync.png)
![Logo](docs/assets/jasmine.png)
![Logo](docs/assets/protractor.png)

![Logo](docs/assets/babel.png)
![Logo](docs/assets/coffeescript.png)
![Logo](docs/assets/typescript.png)
![Logo](docs/assets/traceur.png)
![Logo](docs/assets/sass.png)
![Logo](docs/assets/less.png)
![Logo](docs/assets/stylus.png)
![Logo](docs/assets/jade.png)
![Logo](docs/assets/haml.png)
![Logo](docs/assets/handlebars.png)

[List features included](docs/usage.md#features-included-in-the-gulpfile)


## Questions the generator will ask

[Questions the generator will ask](docs/usage.md#questions-the-generator-will-ask)


## Changelog

[All changes listed in the GitHub releases](https://github.com/Swiip/generator-gulp-angular/releases)


## Contributing

[Guidelines](CONTRIBUTING.md)


## License

MIT
